playeffect("guest",true)
if not flags.firstloc21 then
  flags.firstloc21=true
  CreatePlashechka("539")
end;
setCursor(obj.stena_21_0.id,2)
setCursor(obj.shar_21_0.id,2)
setCursor(obj.door_KoridorBratyev_21_0.id,6)

function SelectRandom()
  if not neighbors.stena.lock 
  and obj.zolotaya_roza_17_1 and obj.zolotaya_roza_17_1.is_collapsed
  and obj.roza_18_1 and obj.roza_18_1.is_collapsed then
    giveMeHint(obj.stena_21_0.id)
  return end
  if obj.shar_15_1 and obj.shar_15_1.is_stored then
    giveMeHint(obj.shar_21_0.id)
  return end
  CreatePlashechka("10001")
end;

if neighbors.shar.lock then
  set_visible_object(obj.shar_21_0.id,false)
  set_visible_object(obj.Layer_37_21_0.id,false)
  set_visible_object(obj.otrazhenie_ot_shara_21_0.id,true)
  if neighbors.stena.lock then
    set_visible_object(obj.stena_21_0.id,false)
  else
    playeffect("tain_guest")
    if not flags.plashka_21 then
      flags.plashka_21 = true
      CreatePlashechka("677")
    end
    set_visible_object(obj.stena_21_0.id,true)
  end
else
  set_visible_object(obj.stena_21_0.id,false)
  set_visible_object(obj.otrazhenie_ot_shara_21_0.id,false)
  set_visible_object(obj.shar_21_0.id,true)
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender, obj_id, attachedID);
  if sender==36 then
    if obj_id==6111 then
      StartTravel(211,2,nil,nil,flySp,flySp1);
      StartTimer(6111,20)
    return;end;
    if obj_id==6121 then
      StartTravel(212,2,nil,nil,flySp2,flySp1);
      StartTimer(6121,22)
    return;end;    
    if obj_id==6131 then
      StartTravel(213,2,nil,nil,flySp3,flySp1);
      StartTimer(6131,30)
    return;end;    
    if obj_id==6141 then
      StartTravel(214,2,nil,nil,flySp4,flySp1);
      StartTimer(6141,18)
    return;end;    
    if obj_id==6151 then
      StartTravel(215,2,nil,nil,flySp5,flySp1);
      StartTimer(6151,19)
    return;end;      
  return;end;      
  if sender==1 then
    if obj_id == obj.door_KoridorBratyev_21_0.id then
      jump("KoridorBratyev")
    end
    if obj_id == obj.stena_21_0.id then
      CreateSatelite("stena")
      playeffect("sat")
    end
    if obj_id == obj.shar_21_0.id then
      CreateSatelite("shar")
      playeffect("sat")
    end
  end
  -- if sender == 8 then
    -- jump("final")
  -- end
end